List content runs
Lists direct Content Intelligence runs for the authenticated user.
This endpoint lists persisted direct-URL Content Intelligence runs created through API or MCP.
Endpoint
Section titled “Endpoint”GET /v1/content-intelligence/runsAuthentication
Section titled “Authentication”| Header | Required | Value |
|---|---|---|
Authorization | Yes | Bearer sw_api_live_... |
Required scope:
runs:readQuery Parameters
Section titled “Query Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
status | string | No | Filter by run status. |
limit | integer | No | Number of runs to return. Clamped between 1 and 100. Defaults to 20. |
starting_after | string | No | Cursor run ID from the previous page. |
Results are sorted by created_at descending.
Example Request
Section titled “Example Request”curl -s "https://api.sleepwalker.ai/v1/content-intelligence/runs?limit=20" \ -H "Authorization: Bearer sw_api_live_..."The same request in Python and JavaScript:
import requests
resp = requests.get( "https://api.sleepwalker.ai/v1/content-intelligence/runs", headers={"Authorization": "Bearer sw_api_live_..."}, params={"limit": 20},)resp.raise_for_status()print(resp.json())const resp = await fetch("https://api.sleepwalker.ai/v1/content-intelligence/runs?limit=20", { headers: { Authorization: "Bearer sw_api_live_..." },});const data = await resp.json();console.log(data);Response
Section titled “Response”{ "runs": [ { "run_id": "414cee1a-...", "status": "completed", "source": "api", "created_at": "2026-06-10T12:30:00Z", "started_at": "2026-06-10T12:30:04Z", "completed_at": "2026-06-10T12:30:38Z", "url": "https://www.sleepwalker.ai", "language": "en", "country": "US", "analysis_depth": "score", "overall_score": 76, "overall_band": "Good", "estimated_credits": "3.00", "settled_credits": "3.00", "explanation": "Run completed." } ], "limit": 20, "has_more": false, "next_starting_after": null}See Pagination for cursor behavior.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 | Missing or invalid API key. |
400 | Invalid cursor. |
403 | API key is missing runs:read, or this action is unavailable. |